Package org.flowable.bpmn.model

# Class DataObject

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.DataObject

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

Direct Known Subclasses:
  `ValuedDataObject`

public class DataObject extends FlowElement

Author:
  Lori Small

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ItemDefinition`
  `itemSubjectRef`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataObject`
  `clone()`
  `ItemDefinition`
  `getItemSubjectRef()`
  `void`
  `setItemSubjectRef(ItemDefinition itemSubjectRef)`
  `void`
  `setValues(DataObject otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### itemSubjectRef

    protected ItemDefinition itemSubjectRef

- ## Constructor Details

  - ### DataObject

    public DataObject()

- ## Method Details

  - ### getItemSubjectRef

    public ItemDefinition getItemSubjectRef()

  - ### setItemSubjectRef

    public void setItemSubjectRef(ItemDefinition itemSubjectRef)

  - ### clone

    public DataObject clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(DataObject otherElement)